gsw_CT_freezing_first_derivatives_poly {gsw} | R Documentation

## First Derivatives of Conservative Temperature for Freezing Water (Polynomial version)

### Description

First Derivatives of Conservative Temperature for Freezing Water (Polynomial version)

### Usage

    gsw_CT_freezing_first_derivatives_poly(SA, p, saturation_fraction = 1)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`saturation_fraction` | fraction of air in water [unitless]

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

A list containing `CTfreezing_SA` [ K/(g/kg) ], the derivative of Conservative Temperature with respect to Absolute Salinity at constant potential temperature, and `CTfreezing_p` [ unitless], the derivative of Conservative Temperature with respect to pressure at constant Absolute Salinity.

### References

http://www.teos-10.org/pubs/gsw/html/gsw_CT_freezing_first_derivatives_poly.html

### Examples

    SA <- c(                 34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    p <- c(                       10,      50,     125,     250,     600,    1000)
    saturation_fraction <- c(      1,     0.8,     0.6,     0.5,     0.4,       0)
    r <- gsw_CT_freezing_first_derivatives_poly(SA, p, saturation_fraction)
    expect_equal(r$CTfreezing_SA, c(-0.058191181082769, -0.058263310660779, -0.058343573188907,
                                  -0.058370514075271, -0.058528023214462, -0.058722959729433))
    expect_equal(r$CTfreezing_p/1e-7, c(-0.765690732336706, -0.767310677213890, -0.770224214219328,
                                      -0.774843488962665, -0.787930403016584, -0.802821704643775))

[Package gsw version 1.0-5 Index]